<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".account.CreateUser">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/relAtas"
        android:layout_width="match_parent"
        android:layout_height="200dp"
        android:background="@color/calmWhite">

        <TextView
            android:id="@+id/textView8"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:fontFamily="@font/futura_std_heavy"
            android:text="Detail Pegawai"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:textColor="@color/Dark"
            android:textSize="20sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/profile_image"
            android:layout_width="120dp"
            android:layout_height="120dp"
            android:src="@drawable/man_masker"
            app:civ_border_color="@color/Yellow"
            app:civ_border_width="2dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView8" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <ScrollView
        android:layout_below="@id/relAtas"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/White"
        android:paddingBottom="60dp"
        android:orientation="vertical">
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/lay1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="@string/nama_lengkap"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvName"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:background="@drawable/layout_round_input_1"
                            android:padding="15dp"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvName"
                            app:layout_constraintEnd_toEndOf="@+id/tvName"
                            app:layout_constraintTop_toTopOf="@+id/tvName">

                            <ImageView
                                android:id="@+id/ivChangeName"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground" />
                        </RelativeLayout>
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="12sp"
                        android:textColor="@color/Gray2"
                        android:fontFamily="@font/inter_light"
                        android:layout_gravity="end"
                        android:text="Maksimal 50 karakter"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="@string/tanggal_lahir"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvDOB"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:background="@drawable/layout_round_input_1"
                            android:text="-"
                            android:padding="15dp"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvDOB"
                            app:layout_constraintEnd_toEndOf="@+id/tvDOB"
                            app:layout_constraintTop_toTopOf="@+id/tvDOB">

                            <ImageView
                                android:id="@+id/ivChangeDOB"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground"/>
                        </RelativeLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="@string/gender"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvGender"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:padding="15dp"
                            android:background="@drawable/layout_round_input_1"
                            android:text="-"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvGender"
                            app:layout_constraintEnd_toEndOf="@+id/tvGender"
                            app:layout_constraintTop_toTopOf="@+id/tvGender">

                            <ImageView
                                android:id="@+id/ivChangeGender"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground"/>
                        </RelativeLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="Alamat"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvAddress"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:background="@drawable/layout_round_input_1"
                            android:padding="15dp"
                            android:text="-"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvAddress"
                            app:layout_constraintEnd_toEndOf="@+id/tvAddress"
                            app:layout_constraintTop_toTopOf="@+id/tvAddress">

                            <ImageView
                                android:id="@+id/ivChangeAddress"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground"/>
                        </RelativeLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="12sp"
                        android:textColor="@color/Gray2"
                        android:fontFamily="@font/inter_light"
                        android:layout_gravity="end"
                        android:text="Maksimal 200 karakter"/>
                </LinearLayout>
            </LinearLayout>

            <View
                android:id="@+id/separator1"
                android:layout_width="match_parent"
                android:layout_height="5dp"
                android:layout_marginTop="10dp"
                android:layout_below="@id/lay1"
                android:background="@color/Gray1" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/separator1"
                android:layout_marginStart="20dp"
                android:layout_marginEnd="20dp"
                android:layout_marginTop="10dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="ID Pegawai"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvUID"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:textColor="@color/CalmDark"
                            android:textSize="14sp"
                            android:textStyle="bold"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="end"
                        android:textSize="12sp"
                        android:textColor="@color/Gray2"
                        android:fontFamily="@font/inter_light"
                        android:text="Generated by system"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="Nomor Induk Pegawai"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvNIP"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:background="@drawable/layout_round_input_1"
                            android:text="-"
                            android:padding="15dp"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvNIP"
                            app:layout_constraintEnd_toEndOf="@+id/tvNIP"
                            app:layout_constraintTop_toTopOf="@+id/tvNIP">

                            <ImageView
                                android:id="@+id/ivChangeNIP"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground" />
                        </RelativeLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="@string/perusahaan"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvCompany"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:background="@drawable/layout_round_input_1"
                            android:text="-"
                            android:padding="15dp"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvCompany"
                            app:layout_constraintEnd_toEndOf="@+id/tvCompany"
                            app:layout_constraintTop_toTopOf="@+id/tvCompany">

                            <ImageView
                                android:id="@+id/ivChangeCompany"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground" />
                        </RelativeLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="Jabatan"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvClass"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:background="@drawable/layout_round_input_1"
                            android:padding="15dp"
                            android:text="-"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvClass"
                            app:layout_constraintEnd_toEndOf="@+id/tvClass"
                            app:layout_constraintTop_toTopOf="@+id/tvClass">

                            <ImageView
                                android:id="@+id/ivChangeClass"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground" />
                        </RelativeLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="Divisi"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvDivision"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:background="@drawable/layout_round_input_1"
                            android:padding="15dp"
                            android:text="-"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvDivision"
                            app:layout_constraintEnd_toEndOf="@+id/tvDivision"
                            app:layout_constraintTop_toTopOf="@+id/tvDivision">

                            <ImageView
                                android:id="@+id/ivChangeDivision"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground" />
                        </RelativeLayout>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="@string/email"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvEmail"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:background="@drawable/layout_round_input_1"
                            android:maxLength="30"
                            android:padding="15dp"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/futura_std_book"
                        android:text="@string/nomor_handphone"
                        android:textColor="@color/Gray3"
                        android:textSize="12sp" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp">

                        <TextView
                            android:id="@+id/tvHp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/lato_regular"
                            android:maxLength="30"
                            android:text="-"
                            android:padding="15dp"
                            android:background="@drawable/layout_round_input_1"
                            android:textColor="@color/Dark"
                            android:textSize="14sp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="10dp"
                            android:background="@drawable/layout_circle_button"
                            app:layout_constraintBottom_toBottomOf="@+id/tvHp"
                            app:layout_constraintEnd_toEndOf="@+id/tvHp"
                            app:layout_constraintTop_toTopOf="@+id/tvHp">

                            <ImageView
                                android:id="@+id/ivChangeHP"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:src="@drawable/ic_edit_foreground" />
                        </RelativeLayout>
                    </androidx.constraintlayout.widget.ConstraintLayout>

                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>
    </ScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true">

        <RelativeLayout
            android:id="@+id/btnSaveEnable"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_margin="10dp"
            android:layout_weight="0.5"
            android:visibility="gone"
            android:background="@drawable/round_button_01"
            android:elevation="5dp"
            android:gravity="center"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/lato_regular"
                android:text="Simpan"
                android:textColor="@color/YellowLight"/>
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/btnSaveDisable"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_margin="10dp"
            android:visibility="visible"
            android:background="@drawable/round_button_02"
            android:elevation="5dp"
            android:gravity="center"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/lato_regular"
                android:text="Simpan"
                android:textColor="@color/CalmBlack"/>
        </RelativeLayout>


    </androidx.constraintlayout.widget.ConstraintLayout>

</RelativeLayout>
